org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher

## Class RootContent

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent<ParentType>
  - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.CompositeContent<java.lang.Object,PatternMatcherRootContent>
    - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.RootContent

-     public class RootContent
      extends CompositeContent<java.lang.Object,PatternMatcherRootContent>

  An instance of this class represents the root element in the `QueryExplorer`'s tree viewer.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent

      `parent, text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPatternMatcherRoot(org.eclipse.ui.IEditorPart editorPart, org.eclipse.emf.common.notify.Notifier notifier, QueryEvaluationHint hint)`
    `void` | `addPatternMatcherRoot(PatternMatcherRootContentKey key, QueryEvaluationHint hint)`
    `org.eclipse.core.databinding.observable.list.IObservableList` | `getChildren()` Returns the `IObservableList` of child elements.
    `java.util.Iterator<PatternMatcherRootContent>` | `getChildrenIterator()` Returns an iterator on the child elements.
    `java.lang.String` | `getText()` Returns the label that will be displayed in the `QueryExplorer` for this content.
    `org.eclipse.jface.viewers.TreeViewer` | `getViewer()`
    `void` | `removePatternMatcherRoot(org.eclipse.ui.IEditorPart editorPart, org.eclipse.emf.ecore.resource.ResourceSet res)`
    `void` | `removePatternMatcherRoot(PatternMatcherRootContentKey key)`
    `void` | `setViewer(org.eclipse.jface.viewers.TreeViewer viewer)`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.CompositeContent

      `dispose, updateHasChildren`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.BaseContent

      `getParent, setText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RootContent

          public RootContent()

  - ### Method Detail

    - #### addPatternMatcherRoot

          public void addPatternMatcherRoot(org.eclipse.ui.IEditorPart editorPart,
                                            org.eclipse.emf.common.notify.Notifier notifier,
                                            QueryEvaluationHint hint)

    - #### addPatternMatcherRoot

          public void addPatternMatcherRoot(PatternMatcherRootContentKey key,
                                            QueryEvaluationHint hint)

    - #### removePatternMatcherRoot

          public void removePatternMatcherRoot(org.eclipse.ui.IEditorPart editorPart,
                                               org.eclipse.emf.ecore.resource.ResourceSet res)

    - #### removePatternMatcherRoot

          public void removePatternMatcherRoot(PatternMatcherRootContentKey key)

    - #### getText

          public java.lang.String getText()

      Description copied from class: `BaseContent`
      Returns the label that will be displayed in the `QueryExplorer` for this content.
      Overrides:
        `getText` in class `BaseContent<java.lang.Object>`
      Returns:
        the label of the content

    - #### getChildren

          public org.eclipse.core.databinding.observable.list.IObservableList getChildren()

      Description copied from class: `CompositeContent`
      Returns the `IObservableList` of child elements.
      Specified by:
        `getChildren` in class `CompositeContent<java.lang.Object,PatternMatcherRootContent>`
      Returns:
        the observable list of child elements

    - #### getChildrenIterator

          public java.util.Iterator<PatternMatcherRootContent> getChildrenIterator()

      Description copied from class: `CompositeContent`
      Returns an iterator on the child elements.
      Specified by:
        `getChildrenIterator` in class `CompositeContent<java.lang.Object,PatternMatcherRootContent>`
      Returns:
        the iterator on the child elements

    - #### setViewer

          public void setViewer(org.eclipse.jface.viewers.TreeViewer viewer)

    - #### getViewer

          public org.eclipse.jface.viewers.TreeViewer getViewer()